commit:     d3fd0eb4930ad82608f1f7ca53d932eeb79c5b5d
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 13 16:28:27 2021 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sat Mar 13 18:08:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d3fd0eb4

gnome-extra/sushi: Version bump to 3.38.0

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 gnome-extra/sushi/Manifest            |  1 +
 gnome-extra/sushi/sushi-3.38.0.ebuild | 52 +++++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/gnome-extra/sushi/Manifest b/gnome-extra/sushi/Manifest
index 974f0e50734..9d2fd6e6e0f 100644
--- a/gnome-extra/sushi/Manifest
+++ b/gnome-extra/sushi/Manifest
@@ -1,2 +1,3 @@
 DIST sushi-3.34.0-patchset.tar.xz 8744 BLAKE2B 
45077c7e78ebea5900ff8a1e8749f88677a6990d41cf44505437c5cbd05ce09b2ddef11de8e9078d419b1130f14d8ef4cbe7c6f15c80cee02dd72b17c4e84cfe
 SHA512 
7c3d8e044179202a37c09436192436102a1ca223e358de1bc3857b0900c9921c72b1ab588fb08cfebe6ae440669a68786c3c1e83c1f6a3c489d4a5ce665217b3
 DIST sushi-3.34.0.tar.xz 74240 BLAKE2B 
8b194be7ec831ce4f13549d465d6f1e6ba09ae4dc7ff86b1c214b79baac226654b75401d326d5d7d8fc0cc9fff28d8125aa4f5a9d3cdf54e472e5565815af75d
 SHA512 
bde009b30106bf31199c8c3b040743de5f5c782fd540612a34055bef9a22f9a08c4ed0ae7c5fc3cbfdc67a5d12f28bc70ca5135ba227403e8d127295a1253d18
+DIST sushi-3.38.0.tar.xz 76500 BLAKE2B 
6d4fb4d80fdec2e96d5cf91bfe6f0d859154e45f6bcd4677eae0e4c8bdcb20380e1cabcc6621e0bcdcc590a668798775bdb464b22298fe954c3d290d202c36c7
 SHA512 
c8d0dd7d9cf9d28496c6c4ac5f327bcf605994f189c476fe891d42c0c225d0368311baf06d7d6092805f729908491590bf719a9822513f96e2afe17e8ab962bd

diff --git a/gnome-extra/sushi/sushi-3.38.0.ebuild 
b/gnome-extra/sushi/sushi-3.38.0.ebuild
new file mode 100644
index 00000000000..9a2dfada0ca
--- /dev/null
+++ b/gnome-extra/sushi/sushi-3.38.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit gnome.org meson xdg
+
+DESCRIPTION="A quick previewer for Nautilus, the GNOME file manager"
+HOMEPAGE="https://git.gnome.org/browse/sushi";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~sparc ~x86"
+IUSE="office wayland +X"
+REQUIRED_USE="|| ( wayland X )"
+
+# Optional app-office/libreoffice support (OOo to pdf and then preview)
+DEPEND="
+       media-libs/libepoxy
+       >=app-text/evince-3.0[introspection]
+       media-libs/freetype:2
+       >=x11-libs/gdk-pixbuf-2.23.0[introspection]
+       >=dev-libs/glib-2.29.14:2
+       media-libs/gstreamer:1.0[introspection]
+       media-libs/gst-plugins-base:1.0[introspection]
+       >=x11-libs/gtk+-3.13.2:3[introspection,wayland?,X?]
+       >=x11-libs/gtksourceview-4.0.3:4[introspection]
+       >=media-libs/harfbuzz-0.9.9:=
+       >=dev-libs/gobject-introspection-1.54:=
+       media-libs/musicbrainz:5=
+       net-libs/webkit-gtk:4[introspection]
+       >=dev-libs/gjs-1.40
+"
+RDEPEND="${DEPEND}
+       >=gnome-base/nautilus-3.1.90
+       office? ( app-office/libreoffice )
+"
+BDEPEND="
+       dev-util/glib-utils
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+"
+
+src_configure() {
+       meson_src_configure \
+               $(meson_feature wayland) \
+               $(meson_feature X X11)
+}
+
+src_compile() {
+       local -x GST_PLUGIN_SYSTEM_PATH_1_0=
+       meson_src_compile
+}

Reply via email to